using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.Todo.Cqrs;

public class UpdateTodoValidator : AbstractValidator<UpdateTodoRequest>
{
    public UpdateTodoValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);
    }
}